ข้ามไปยังเนื้อหา

Longcat Image

ผสานการทำงาน

ID โมเดล longcat-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/longcat-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.13 130 เครดิต API · ≈ ₽13.85 เรียกใช้ในหน้านี้

รับคีย์ API

เครื่องมือสร้างภาพจากข้อความที่มีขนาดสำเร็จรูป 6 แบบ สร้างได้สูงสุด 4 ภาพต่อการเรียกใช้ และส่งออกเป็น png, jpeg หรือ webp

Meituan · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่กำกับการสร้างรูปภาพ

image_size ค่าเริ่มต้น landscape_4_3

ขนาดของรูปภาพที่สร้างขึ้น

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพที่ขอให้สร้าง

ขั้นสูง output_format · acceleration · num_inference_steps · guidance_scale · seed · enable_safety_checker
output_format ค่าเริ่มต้น png

รูปแบบไฟล์ของรูปภาพผลลัพธ์

acceleration ค่าเริ่มต้น regular

ระดับการเร่งความเร็วที่ใช้กับการประมวลผล

ค่าเริ่มต้น 28

จำนวนขั้นตอน inference ที่ต้องดำเนินการ

ค่าเริ่มต้น 4.5

สเกล guidance ที่ใช้ระหว่างการสร้างรูปภาพ

Seed สำหรับสร้างรูปภาพซ้ำได้: พรอมต์และ seed เดียวกันจะให้รูปภาพเดียวกันเมื่อเวอร์ชันโมเดลไม่เปลี่ยนแปลง

POST /run/longcat-image?wait=20 ใบเสนอราคา → $0.13
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/longcat-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Longcat Image

สร้างรูปภาพจากพรอมต์ข้อความ `image_size` มีค่าที่ตั้งไว้ล่วงหน้าตั้งแต่สี่เหลี่ยมจัตุรัสถึง portrait_16_9 และ landscape_16_9 หรือใช้วัตถุขนาดแบบกำหนดเอง `num_inference_steps` อยู่ในช่วง 1 ถึง 50 (ค่าเริ่มต้น 28) และ `guidance_scale` อยู่ในช่วง 1 ถึง 20 สร้างรูปภาพได้สูงสุด 4 รูปต่อคำขอ และเอาต์พุตอาจเป็น png, jpeg หรือ webp

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
พรอมต์ที่กำกับการสร้างรูปภาพ
image_sizeไม่บังคับ
ประเภทobject
ค่าเริ่มต้นlandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ขนาดของรูปภาพที่สร้างขึ้น
num_inference_stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น28
1 – 50
จำนวนขั้นตอน inference ที่ต้องดำเนินการ
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น4.5
1 – 20
สเกล guidance ที่ใช้ระหว่างการสร้างรูปภาพ
seedไม่บังคับ
ประเภทinteger | null
Seed สำหรับสร้างรูปภาพซ้ำได้: พรอมต์และ seed เดียวกันจะให้รูปภาพเดียวกันเมื่อเวอร์ชันโมเดลไม่เปลี่ยนแปลง
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 4
จำนวนรูปภาพที่ขอให้สร้าง
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
การตรวจสอบความปลอดภัย ซึ่งจะแทนที่รูปภาพที่ถูกทำเครื่องหมายว่าไม่ปลอดภัยด้วยรูปภาพสีดำ ค่า true จะเปิดใช้การตรวจสอบ ส่วน false จะปิดใช้เฉพาะสำหรับบัญชีที่ได้รับอนุญาต ขณะที่คำขอที่ไม่มีการอนุญาตจะได้รับการตรวจสอบเสมอ
output_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นpng
jpegpngwebp
รูปแบบไฟล์ของรูปภาพผลลัพธ์
accelerationไม่บังคับ
ประเภทenum
ค่าเริ่มต้นregular
noneregularhigh
ระดับการเร่งความเร็วที่ใช้กับการประมวลผล
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "longcat-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 130,
    "usd": "0.13",
    "charged": 130,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, width, height, content_type}ข้อมูลไฟล์สำหรับรูปภาพที่สร้าง
timings
object
seed
integerseed สำหรับการสร้างรูปภาพ รวมถึงค่าที่สุ่มเลือกหากอินพุตไม่ได้ระบุ seed มิฉะนั้นจะใช้ค่าที่ระบุซ้ำ
has_nsfw_concepts
array of booleanระบุว่ามีแนวคิด NSFW ปรากฏในรูปภาพที่สร้างหรือไม่
prompt
stringพรอมต์ที่ใช้ระหว่างการสร้างรูปภาพ

โมเดลเพิ่มเติม: ข้อความเป็นภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/longcat-image.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt